Bug 127136 - w6c7q8
Summary: w6c7q8
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Academy
Classification: Retired
Component: RHA030 Curriculum (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bowe Strickland
QA Contact: Bowe Strickland
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-02 13:47 UTC by Bowe Strickland
Modified: 2007-04-18 17:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 17:29:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bowe Strickland 2004-07-02 13:47:01 UTC
The following text is found in the file /etc/bashrc.

if [ "`id -gn`" = "`id -un`" -a `id -u` -gt 99 ]; then
    umask 002
else
    umask 022
fi

8. Which of the following best describes the execution of
this text?
   A. If the current user is a member of more than one
group, then set the current shell's umask to 002, otherwise
set it to 022.
   B. If the current user's group name is the same as the
user's username, or the user has a userid less than 99, set
the shell's umask to 002, otherwise set it to 022.
   C. If the user is a member of more than 99 groups, set
the shell's umask to 002, otherwise set it to 022.
   D. If the current user is the root user, set current
shell's umask to 002, otherwise set it to 022.
   E. If the current user's group name is the same as the
user's username, and the user has a userid less than 99,
set the shell's umask to 002, otherwise set it to 022.


The correct answer would be "E" #IF# it said "... userid
greater than 99 ..."  OR  #IF# the code was -lt not -gt


I have not (at this time) answered this question as there
is no correct answer (I assume 'E' is what you intend).


Note You need to log in before you can comment on or make changes to this bug.